#include <string.h>
#include <stdlib.h>
#include "buffer.h"
#include "fileio.h"

#include <pspdebug.h>

int execCommand(char *command, struct TextBuffer *textbuffer){
	/* Parses a string into a command and an argument (by now), and
	 * executes some action over the TextBuffer provided*/
	int blank = (index(command, ' ') - command)/sizeof(char); // Strange way to ask for the position of the first blank in the string
	char *argument = index(command, ' ') + 1;
	
	switch (blank){
		case 1:{
			switch (command[0]){
				case 'n': {
					destroyBuffer(textbuffer);
					textbuffer = newTextBuffer();
					break;
				}
				case 'w': break; // We need to introduce a 'name' field in the TextBuffer struct
				case 'l': {
					destroyBuffer(textbuffer);
					textbuffer = loadFile(argument);
					break;
				}
				case 's': {
					saveFile(textbuffer,argument);
					break;
				}
				case 'q': break;
				default: return 0;
			}
		}
		default: return 0;
	}
	return 0;
}
